using System.ComponentModel.DataAnnotations;

namespace Wishlist.Data.Entities;

public class Wishlist
{
    public Guid Id { get; set; }
    [MaxLength(50)]
    public string Title { get; set; }
    [MaxLength(2000)]
    public string Description { get; set; }
    public List<Wish> Wishes { get; set; }
    public List<User> Owners { get; set; }
    public VisibilityStatus VisibilityStatus { get; set; }
    public DateTime Created { get; set; }
    public DateTime LastModified { get; set; }
    
    public Wishlist()
    {        
        Id = Guid.NewGuid();
        Title = string.Empty;
        Description = string.Empty;
        Wishes = [];
        VisibilityStatus = new VisibilityStatus();
        Created = DateTime.UtcNow;
        LastModified = DateTime.UtcNow;
    }
}